Page MenuHomePhabricator

[ASTImporter] Import every Decl in lambda record
ClosedPublic

Authored by gamesh411 on Feb 5 2019, 2:41 AM.

Details

Summary

Previously only the fields were imported. Now every Decl is imported.
This way the destructor decl is not missing after import.

Patch by balazske (Balázs Kéri)

Diff Detail

Repository
rL LLVM

Event Timeline

gamesh411 created this revision.Feb 5 2019, 2:41 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2019, 2:41 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
balazske added inline comments.
unittests/AST/ASTImporterTest.cpp
2432 ↗(On Diff #185262)

Actually the ToTU is not needed, this line can be removed.

gamesh411 updated this revision to Diff 185509.Feb 6 2019, 1:40 AM

Remove unnecessary ToTU variable from test case.

gamesh411 marked an inline comment as done.Feb 6 2019, 1:41 AM
shafik added a comment.Feb 6 2019, 1:30 PM

LGTM although I wish we had more lambda tests.

Please remember to check the LLDB build bots when landing the patch.

shafik accepted this revision.Feb 6 2019, 1:30 PM
This revision is now accepted and ready to land.Feb 6 2019, 1:30 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 15 2019, 4:04 AM